Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Common.css: Difference between revisions

MediaWiki interface page
use relative path, fixed sidebar
custom assets, gooder everything
Line 191: Line 191:
margin-right:0.25em;
margin-right:0.25em;
padding-top:10px
padding-top:10px
}
.vector-menu-tabs
{
background: none;
}
}
.vector-menu-tabs li a,
.vector-menu-tabs li a,
.vector-menu-dropdown-noicon h3
#mw-head .vector-menu-dropdown .vector-menu-heading
{
{
font-family:"TF2C Build","TF2 Build",sans-serif;
font-family:"TF2C Build","TF2 Build",sans-serif;
font-size:16px;
font-size:16px;
height:29px;
height:29px;
padding:6px 8px
padding:6px 8px;
background:#1F1B1A;
background-image:none;
border-radius:8px 8px 0 0
}
#mw-head .vector-menu-dropdown .vector-menu-heading
{
padding-right: 24px;
}
}
.vector-menu-tabs li a
.vector-menu-dropdown .vector-menu-heading::after
{
{
background:#1F1B1A;
background-image: url(/misc/arrow-down.svg);
border-radius:8px 8px 0 0
top: 0;
}
}
.vector-menu-tabs .selected a,
.vector-menu-tabs .selected a,
Line 210: Line 221:
background:#583A31;
background:#583A31;
color:#D2CDC8
color:#D2CDC8
}
.vector-menu-tabs,
.vector-menu-tabs a,
#mw-head .vector-menu-dropdown h3
{
background:none
}
}
.vector-menu-tabs .mw-watchlink.icon a::before
.vector-menu-tabs .mw-watchlink.icon a::before
Line 225: Line 230:
padding-top:10px
padding-top:10px
}
}
#mw-head .vector-menu-dropdown h3
#mw-head .vector-menu-dropdown .vector-menu-heading
{
{
height:inherit
height:29px;
}
}
.vector-menu-dropdown h3::after
.vector-menu-dropdown h3::after
Line 274: Line 279:
.vector-menu-portal h3,
.vector-menu-portal h3,
.vector-menu-tabs li a,
.vector-menu-tabs li a,
.vector-menu-dropdown-noicon h3
.vector-menu-dropdown .vector-menu-heading
{
{
color:#D2CDC8
color:#D2CDC8
}
.vector-menu-tabs #ca-unwatch.icon a::before
{
background-image: url(/misc/unwatch.svg);
}
.vector-menu-tabs #ca-watch.icon a::before
{
background-image: url(/misc/watch.svg);
}
.vector-menu-tabs #ca-unwatch.icon a:hover::before, .vector-menu-tabs #ca-unwatch.icon a:focus::before
{
background-image: url(/misc/unwatch-hl.svg);
}
.vector-menu-tabs #ca-watch.icon a:hover::before, .vector-menu-tabs #ca-watch.icon a:focus::before
{
background-image: url(/misc/watch-hl.svg);
}
}
@media screen
@media screen